package com.yeejoin.amos.boot.module.jg.biz.edit.esUpdate.strategy;

import com.yeejoin.amos.boot.module.common.api.dto.ESEquipmentCategoryDto;
import com.yeejoin.amos.boot.module.common.api.dto.IBaseChangeData;

public interface EsBuildStrategy<T extends IBaseChangeData> {
    Class<T> getSupportType();

    void buildEsData(ESEquipmentCategoryDto es, T data);
}
